<?php
/**
 *  Module made by Nukium
 *
 *  @author    Nukium
 *  @copyright 2020 Nukium SAS
 *  @license   All rights reserved
 *
 * ███    ██ ██    ██ ██   ██ ██ ██    ██ ███    ███
 * ████   ██ ██    ██ ██  ██  ██ ██    ██ ████  ████
 * ██ ██  ██ ██    ██ █████   ██ ██    ██ ██ ████ ██
 * ██  ██ ██ ██    ██ ██  ██  ██ ██    ██ ██  ██  ██
 * ██   ████  ██████  ██   ██ ██  ██████  ██      ██
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

if (!defined('_PS_ADMIN_DIR_')) {
    define('_PS_ADMIN_DIR_', getcwd());
}
include(_PS_ADMIN_DIR_.'/../../config/config.inc.php');


$module = Module::getInstanceByName('nkmgls');
if ($module->active) {
    if (Tools::getIsset('secure_key')) {
        Shop::setContext(Shop::CONTEXT_ALL);
        $secure_key = Configuration::get('GLS_SECURE_KEY');
        if (!empty($secure_key) && $secure_key === Tools::getValue('secure_key')) {
            $params = array('secure_key' => Tools::getValue('secure_key'));

            if (Tools::getIsset('id_shop')) {
                $params['id_shop'] = Tools::getValue('id_shop');
            }

            if (Tools::getIsset('action') && Tools::getValue('action') === 'get_tracking') {
                Tools::redirectLink(Context::getContext()->link->getModuleLink(
                    'nkmgls',
                    'tracking',
                    $params
                ));
            } else {
                if (Tools::getIsset('action')) {
                    $params['action'] = Tools::getValue('action');
                }
                Tools::redirectLink(Context::getContext()->link->getModuleLink(
                    'nkmgls',
                    'winexpe',
                    $params
                ));
            }
        } else {
            die('secure key invalid !');
        }
    }
}
