{*
*  Module made by Nukium
*
*  @author    Nukium
*  @copyright 2020 Nukium SAS
*  @license   All rights reserved
*
* ███    ██ ██    ██ ██   ██ ██ ██    ██ ███    ███
* ████   ██ ██    ██ ██  ██  ██ ██    ██ ████  ████
* ██ ██  ██ ██    ██ █████   ██ ██    ██ ██ ████ ██
* ██  ██ ██ ██    ██ ██  ██  ██ ██    ██ ██  ██  ██
* ██   ████  ██████  ██   ██ ██  ██████  ██      ██
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*}

<div class="presentation">
	<div class="row">
    	<div class="col-lg-8 col-lg-offset-2 offset-lg-2">
        	<p class="pres-logo"><img src="{$gls_logo|escape:'quotes':'UTF-8'}" alt="GLS" class="img-responsive center-block" /></p>
            <div class="pres-text">
            	<h1>{l s='GLS, your delivery expert' mod='nkmgls'}</h1>
                <h2>{l s='All GLS France offers available for your customers easily. They can choose the delivery method that suits them.' mod='nkmgls'}</h2>
                <p>{l s='Main features of Prestashop GLS addon:' mod='nkmgls'}</p>
                <ul>
                	<li>{l s='Setting up of GLS offers on your website' mod='nkmgls'}</li>
                    <li>{l s='Loading ParcelShops in real time thanks to the GLS webservice' mod='nkmgls'}</li>
                    <li>{l s='Download and export GLS commands for automatic integration into the Winexpé labeling solution' mod='nkmgls'}</li>
                    <li>{l s='Url Track & Trace import for your consignees to follow steps of parcels delivery' mod='nkmgls'}</li>
                    <li>{l s='Print delivery labels directly thanks to the GLS webservice' mod='nkmgls'}</li>
                    <li>{l s='Print packing list' mod='nkmgls'}</li>
                    <li>{l s='Change order state according to the package delivery status thanks to the GLS webservice' mod='nkmgls'}</li>
				</ul>
                <p>{l s='This module can only be used by GLS France customers.' mod='nkmgls'}
                <br>{l s='You are not yet a GLS customer? Get in touch with us:' mod='nkmgls'} <a href="{l s='https://gls-group.eu/FR/fr/contact' mod='nkmgls'}" target="_blank">{l s='https://gls-group.eu/FR/fr/contact' mod='nkmgls'}</a></p>
                <p class="text-center mt-3"><a class="btn btn-primary btn-lg start">{l s='Configure' mod='nkmgls'}</a></p>
			</div>
		</div>
	</div>
</div>